<?xml version="1.0" encoding="utf-8"?>
<Project ToolsVersion="4.0" DefaultTargets="Build" xmlns="http://schemas.microsoft.com/developer/msbuild/2003">
  <Import Project="$(MSBuildExtensionsPath)\$(MSBuildToolsVersion)\Microsoft.Common.props" Condition="Exists('$(MSBuildExtensionsPath)\$(MSBuildToolsVersion)\Microsoft.Common.props')" />
  <PropertyGroup>
    <Configuration Condition=" '$(Configuration)' == '' ">Debug</Configuration>
    <Platform Condition=" '$(Platform)' == '' ">AnyCPU</Platform>
    <ProjectGuid>{25BAED75-7E75-4D11-90D9-358472054DF6}</ProjectGuid>
    <OutputType>Library</OutputType>
    <AppDesignerFolder>Properties</AppDesignerFolder>
    <RootNamespace>LeafWeb.Core</RootNamespace>
    <AssemblyName>Core</AssemblyName>
    <TargetFrameworkVersion>v4.5</TargetFrameworkVersion>
    <FileAlignment>512</FileAlignment>
  </PropertyGroup>
  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Debug|AnyCPU' ">
    <DebugSymbols>true</DebugSymbols>
    <DebugType>full</DebugType>
    <Optimize>false</Optimize>
    <OutputPath>bin\Debug\</OutputPath>
    <DefineConstants>DEBUG;TRACE</DefineConstants>
    <ErrorReport>prompt</ErrorReport>
    <WarningLevel>4</WarningLevel>
  </PropertyGroup>
  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Release|AnyCPU' ">
    <DebugType>pdbonly</DebugType>
    <Optimize>true</Optimize>
    <OutputPath>bin\Release\</OutputPath>
    <DefineConstants>TRACE</DefineConstants>
    <ErrorReport>prompt</ErrorReport>
    <WarningLevel>4</WarningLevel>
  </PropertyGroup>
  <ItemGroup>
    <Reference Include="AutoMapper, Version=4.2.0.0, Culture=neutral, PublicKeyToken=be96cd2c38ef1005, processorArchitecture=MSIL">
      <HintPath>..\packages\AutoMapper.4.2.0\lib\net45\AutoMapper.dll</HintPath>
      <Private>True</Private>
    </Reference>
    <Reference Include="CsvHelper, Version=2.0.0.0, Culture=neutral, PublicKeyToken=8c4959082be5c823, processorArchitecture=MSIL">
      <HintPath>..\packages\CsvHelper.2.13.2.0\lib\net40-client\CsvHelper.dll</HintPath>
      <Private>True</Private>
    </Reference>
    <Reference Include="EntityFramework, Version=6.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089, processorArchitecture=MSIL">
      <HintPath>..\packages\EntityFramework.6.1.3\lib\net45\EntityFramework.dll</HintPath>
      <Private>True</Private>
    </Reference>
    <Reference Include="EntityFramework.SqlServer, Version=6.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089, processorArchitecture=MSIL">
      <HintPath>..\packages\EntityFramework.6.1.3\lib\net45\EntityFramework.SqlServer.dll</HintPath>
      <Private>True</Private>
    </Reference>
    <Reference Include="Fasterflect, Version=2.1.3.0, Culture=neutral, PublicKeyToken=38d18473284c1ca7, processorArchitecture=MSIL">
      <HintPath>..\packages\fasterflect.2.1.3\lib\net40\Fasterflect.dll</HintPath>
      <Private>True</Private>
    </Reference>
    <Reference Include="Renci.SshNet, Version=2013.4.7.0, Culture=neutral, processorArchitecture=MSIL">
      <HintPath>..\packages\SSH.NET.2013.4.7\lib\net40\Renci.SshNet.dll</HintPath>
      <Private>True</Private>
    </Reference>
    <Reference Include="System" />
    <Reference Include="System.ComponentModel.DataAnnotations" />
    <Reference Include="System.Core" />
    <Reference Include="System.Xml.Linq" />
    <Reference Include="System.Data.DataSetExtensions" />
    <Reference Include="Microsoft.CSharp" />
    <Reference Include="System.Data" />
    <Reference Include="System.Xml" />
  </ItemGroup>
  <ItemGroup>
    <Compile Include="Charter\CurveData.cs" />
    <Compile Include="Charter\CurveDataConverter.cs" />
    <Compile Include="Charter\CurveParamSet.cs" />
    <Compile Include="Charter\XYPoint.cs" />
    <Compile Include="DAL\DataService.cs" />
    <Compile Include="DAL\LeafWebContext.cs" />
    <Compile Include="DAL\LeafWebInitializer.cs" />
    <Compile Include="Entities\LeafInputStatusType.cs" />
    <Compile Include="Entities\LeafOutputFile.cs" />
    <Compile Include="Entities\PhotosynthesisType.cs" />
    <Compile Include="Remote\IPiscalClient.cs" />
    <Compile Include="Entities\CntrlComparison.cs" />
    <Compile Include="Entities\CntrlComparisonFittingInfo.cs" />
    <Compile Include="Entities\CntrlComparisonPhotosyntheticInfo.cs" />
    <Compile Include="Entities\FluxnetSite.cs" />
    <Compile Include="Entities\LeafInput.cs" />
    <Compile Include="Entities\LeafInputData.cs" />
    <Compile Include="Entities\LeafInputDataCurve.cs" />
    <Compile Include="Entities\LeafInputFile.cs" />
    <Compile Include="Entities\LeafInputDataPhotosynthetic.cs" />
    <Compile Include="Entities\LeafInputDataSite.cs" />
    <Compile Include="Entities\LeafInputFileStatus.cs" />
    <Compile Include="Parsers\FluxnetSiteCsvParser.cs" />
    <Compile Include="Remote\PiscalClientException.cs" />
    <Compile Include="Remote\PiscalLeafInputFile.cs" />
    <Compile Include="Remote\PiscalLeafOutputFile.cs" />
    <Compile Include="Remote\PiscalSshClient.cs" />
    <Compile Include="Remote\PiscalStatus.cs" />
    <Compile Include="Remote\PiscalUtility.cs" />
    <Compile Include="Utility\BoolTypeConverter.cs" />
    <Compile Include="Parsers\CntrlComparisonParser.cs" />
    <Compile Include="Parsers\CsvParserBase.cs" />
    <Compile Include="Properties\AssemblyInfo.cs" />
    <Compile Include="Utility\FileUtility.cs" />
    <Compile Include="Utility\ParseInfoAttribute.cs" />
    <Compile Include="Parsers\LeafInputCsvParser.cs" />
    <Compile Include="Utility\ParsedObjectFactory.cs" />
    <Compile Include="Utility\ParseException.cs" />
    <Compile Include="Utility\ReflectionExtensions.cs" />
    <Compile Include="Utility\StringExtensions.cs" />
  </ItemGroup>
  <ItemGroup>
    <None Include="App.config" />
    <Content Include="DAL\InitialData\fluxnet_site_list_all_October2015_with_joins_corrected.csv">
      <CopyToOutputDirectory>PreserveNewest</CopyToOutputDirectory>
    </Content>
    <None Include="packages.config" />
    <None Include="Remote\piscal_manager.sh" />
  </ItemGroup>
  <ItemGroup />
  <Import Project="$(MSBuildToolsPath)\Microsoft.CSharp.targets" />
  <!-- To modify your build process, add your task inside one of the targets below and uncomment it. 
       Other similar extension points exist, see Microsoft.Common.targets.
  <Target Name="BeforeBuild">
  </Target>
  <Target Name="AfterBuild">
  </Target>
  -->
</Project>